Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHClientUserAdaptor

    java.lang.Object
      com.mindbright.ssh.SSHClientUserAdaptor

All Implemented Interfaces:
  SSHClientUser

Direct Known Subclasses:
  SSHConsoleClient

public class SSHClientUserAdaptor
extends java.lang.Object
implements SSHClientUser

Field Summary
`protected SSHInteractor` | `interactor`
`protected java.lang.String` | `sshHost`
`protected int` | `sshPort`

Constructor Summary
`SSHClientUserAdaptor(java.lang.String server)`
`SSHClientUserAdaptor(java.lang.String server, int port)`

Method Summary
`int` | `getAliveInterval()`
`int` | `getCompressionLevel()`
`java.lang.String` | `getDisplay()`
`SSHInteractor` | `getInteractor()`
`int` | `getMaxPacketSz()`
`java.net.Socket` | `getProxyConnection()`
`java.lang.String` | `getSrvHost()`
`int` | `getSrvPort()`
`boolean` | `wantPTY()`
`boolean` | `wantX11Forward()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sshHost

    protected java.lang.String sshHost

### sshPort

    protected int sshPort

### interactor

    protected SSHInteractor interactor

Constructor Detail

### SSHClientUserAdaptor

    public SSHClientUserAdaptor(java.lang.String server,
                                int port)

### SSHClientUserAdaptor

    public SSHClientUserAdaptor(java.lang.String server)

Method Detail

### getSrvHost

    public java.lang.String getSrvHost()

  Specified by:
    `getSrvHost` in interface `SSHClientUser`

### getSrvPort

    public int getSrvPort()

  Specified by:
    `getSrvPort` in interface `SSHClientUser`

### getProxyConnection

    public java.net.Socket getProxyConnection()
                                       throws java.io.IOException

  Specified by:
    `getProxyConnection` in interface `SSHClientUser`
  Throws:
    `java.io.IOException`

### getDisplay

    public java.lang.String getDisplay()

  Specified by:
    `getDisplay` in interface `SSHClientUser`

### getMaxPacketSz

    public int getMaxPacketSz()

  Specified by:
    `getMaxPacketSz` in interface `SSHClientUser`

### getAliveInterval

    public int getAliveInterval()

  Specified by:
    `getAliveInterval` in interface `SSHClientUser`

### getCompressionLevel

    public int getCompressionLevel()

  Specified by:
    `getCompressionLevel` in interface `SSHClientUser`

### wantX11Forward

    public boolean wantX11Forward()

  Specified by:
    `wantX11Forward` in interface `SSHClientUser`

### wantPTY

    public boolean wantPTY()

  Specified by:
    `wantPTY` in interface `SSHClientUser`

### getInteractor

    public SSHInteractor getInteractor()

  Specified by:
    `getInteractor` in interface `SSHClientUser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD